<ui:composition
        xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html"
        xmlns="http://www.w3.org/1999/xhtml">
    <h:form id="menuForm">
        <ui:decorate template="/layout/menu/_menu_template.xhtml">
            <ui:define name="menu_title">
                <h:outputLink styleClass="navbar-brand"
                              value="#{applicationConfigurationManager.getApplicationUrl()}/home.seam">
                    <h:outputText value="#{messages['net.ihe.gazelle.proxy.GazelleProxy']}"/>
                </h:outputLink>
            </ui:define>
            <ui:define name="menu_logo">
                <h:graphicImage library="img" name="gazelle.png" height="34px"/>
            </ui:define>
            <ui:define name="menu_navigation_links">
                <li>
                    <h:outputLink value="/proxy/channels.seam">
                        <h:outputText id="channelsOutputText"
                                      value="#{messages['net.ihe.gazelle.proxy.ChannelList']}"/>
                    </h:outputLink>
                </li>
                <li>
                    <h:outputLink value="/proxy/newchannel.seam"
                                  rendered="#{applicationConfigurationManager.isUserAllowedAsAdmin()}">
                        <h:outputText id="newChannelOutputText"
                                      value="#{messages['net.ihe.gazelle.proxy.NewChannel']}"/>
                    </h:outputLink>
                </li>

                <li>
                    <h:outputLink
                            value="#{applicationConfigurationManager.getDatahouseUrl()}">
                        <h:outputText id="newMessageOutputText"
                                      value="#{messages['net.ihe.gazelle.proxy.MessagesList']}"/>
                    </h:outputLink>
                </li>

            </ui:define>
            <ui:define name="menu_user_actions_right">

                <h:panelGroup
                        rendered="#{applicationConfigurationManager.isUserAllowedAsAdmin()}">
                    <li class="dropdown">
                        <a href="#"
                           class="dropdown-toggle" data-toggle="dropdown"
                           role="button" aria-expanded="false">
                            <h:outputText
                                    value="#{messages['net.ihe.gazelle.proxy.Administration']}"/>
                            <span
                                    class="caret"/>
                        </a>
                        <ul class="dropdown-menu" role="menu">
                            <li>
                                <h:outputLink
                                        value="/proxy/admin/configure.seam">
                                    <span class="fa fa-wrench"></span>
                                    <h:outputText id="adminOutputText"
                                                  value="#{messages['net.ihe.gazelle.proxy.Configuration']}"/>
                                </h:outputLink>

                            </li>
                            <li>
                                <h:outputLink
                                        value="/proxy/admin/securedChannelConfiguration.seam">
                                    <span class="fa fa-wrench"></span>
                                    <h:outputText id="tlsOutputText"
                                                  value="#{messages['net.ihe.gazelle.proxy.SecuredChannelConfiguration']}"/>
                                </h:outputLink>
                            </li>
                        </ul>
                    </li>
                </h:panelGroup>

                <li>
                    <h:outputLink id="onClickGoToHelp"
                                  value="#{applicationConfigurationManager.getDocumentation()}"
                                  target="_blank">
                        <span class="fa fa-question-circle" style="float: left; margin-top: -0.07em;"></span>
                        <h:outputText id="helpOutputText"
                                      value="#{messages['net.ihe.gazelle.proxy.Help']}"/>
                    </h:outputLink>
                </li>

                <!-- Login menu from cas-client-ui-v7 -->
                <ui:decorate template="/layout/_login_menu.xhtml">
                </ui:decorate>
            </ui:define>
        </ui:decorate>
    </h:form>
</ui:composition>